program nadovezivanje;
var a,b,c,p,q,r,max,d,e,f,g,k,j,i:longint;
begin
read(a,b,c);
d:=a;
e:=b;
f:=c;
p:=0;
q:=0;
r:=0;
while d>0 do
    begin
    p:=p+1;
    d:=d div 10;
    end;
while e>0 do
    begin
    q:=q+1;
    e:=e div 10;
    end;
while f>0 do
    begin
    r:=r+1;
    f:=f div 10;
    end;
d:=a;
e:=a;
f:=b;
g:=b;
k:=c;
j:=c;

for i:=1 to q do
    begin
    d:=d*10;
    end;
d:=d+b;
for i:=1 to r do
    begin
    d:=d*10;
    end;
d:=d+c;
for i:=1 to r do
    begin
    e:=e*10;
    end;
e:=e+c;
for i:=1 to q do
    begin
    e:=e*10;
    end;
e:=e+b;
for i:=1 to p do
    begin
    f:=f*10;
    end;
f:=f+a;
for i:=1 to r do
    begin
    f:=f*10;
    end;
f:=f+c;
for i:=1 to r do
    begin
    g:=g*10;
    end;
g:=g+c;
for i:=1 to p do
    begin
    g:=g*10;
    end;
g:=g+a;
for i:=1 to p do
    begin
    k:=k*10;
    end;
k:=k+a;
for i:=1 to q do
    begin
    k:=k*10;
    end;
k:=k+b;
for i:=1 to q do
    begin
    j:=j*10;
    end;
j:=j+b;
for i:=1 to p do
    begin
    j:=j*10;
    end;
j:=j+a;

max:=d;
if max<e then
    max:=e;
if max<f then
    max:=f;
if max<g then
    max:=g;
if max<k then
    max:=k;
if max<j then
    max:=j;

write(max);
end.